set_property IOSTANDARD LVCMOS33 [get_ports CLK]
set_property IOSTANDARD LVCMOS33 [get_ports CS]
set_property IOSTANDARD LVCMOS33 [get_ports LDAC]
set_property IOSTANDARD LVCMOS33 [get_ports PRX_ESP32]
set_property IOSTANDARD LVCMOS33 [get_ports PTX_ESP32]
set_property IOSTANDARD LVCMOS33 [get_ports RX_FTDI]
set_property IOSTANDARD LVCMOS33 [get_ports SCLK]
set_property IOSTANDARD LVCMOS33 [get_ports SDI]
set_property IOSTANDARD LVCMOS33 [get_ports TX_ESP32]
set_property IOSTANDARD LVCMOS33 [get_ports TX_FTDI]
set_property PACKAGE_PIN P15 [get_ports CLK]
set_property PACKAGE_PIN B9 [get_ports CS]
set_property PACKAGE_PIN A9 [get_ports LDAC]
set_property PACKAGE_PIN M6 [get_ports PRX_ESP32]
set_property PACKAGE_PIN R8 [get_ports PTX_ESP32]
set_property PACKAGE_PIN V12 [get_ports RX_FTDI]
set_property PACKAGE_PIN A8 [get_ports SCLK]
set_property PACKAGE_PIN B8 [get_ports SDI]
set_property PACKAGE_PIN T8 [get_ports TX_ESP32]
set_property PACKAGE_PIN U13 [get_ports TX_FTDI]
set_property IOSTANDARD LVCMOS33 [get_ports ESP_BOOT]
set_property IOSTANDARD LVCMOS33 [get_ports ESP_EN]
set_property IOSTANDARD LVCMOS33 [get_ports SW_BOOT]
set_property IOSTANDARD LVCMOS33 [get_ports SW_EN]
set_property PACKAGE_PIN T13 [get_ports ESP_BOOT]
set_property PACKAGE_PIN T9 [get_ports ESP_EN]
set_property PACKAGE_PIN M14 [get_ports SW_BOOT]
set_property PACKAGE_PIN N14 [get_ports SW_EN]

set_property IOSTANDARD LVCMOS33 [get_ports RX_ESP32]
set_property PACKAGE_PIN R6 [get_ports RX_ESP32]

set_property IOSTANDARD LVCMOS33 [get_ports {adc_n[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {adc_n[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {adc_n[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {adc_n[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {adc_n[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {adc_n[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {adc_n[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {adc_p[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {adc_p[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {adc_p[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {adc_p[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {adc_p[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {adc_p[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {adc_p[6]}]
set_property PACKAGE_PIN B3 [get_ports {adc_p[5]}]
set_property PACKAGE_PIN B2 [get_ports {adc_n[5]}]
set_property PACKAGE_PIN B1 [get_ports {adc_p[0]}]
set_property PACKAGE_PIN A1 [get_ports {adc_n[0]}]
set_property PACKAGE_PIN A4 [get_ports {adc_p[2]}]
set_property PACKAGE_PIN A3 [get_ports {adc_n[2]}]
set_property PACKAGE_PIN C4 [get_ports {adc_p[3]}]
set_property PACKAGE_PIN B4 [get_ports {adc_n[3]}]
set_property PACKAGE_PIN A6 [get_ports {adc_p[4]}]
set_property PACKAGE_PIN A5 [get_ports {adc_n[4]}]
set_property PACKAGE_PIN B7 [get_ports {adc_p[6]}]
set_property PACKAGE_PIN B6 [get_ports {adc_n[6]}]
set_property PACKAGE_PIN C6 [get_ports {adc_p[1]}]
set_property PACKAGE_PIN C5 [get_ports {adc_n[1]}]
